=== modified file 'lib/GtkNode.cpp'
--- lib/GtkNode.cpp	2013-05-22 10:24:44 +0000
+++ lib/GtkNode.cpp	2013-05-22 23:29:06 +0000
@@ -19,7 +19,6 @@
 
 #include <string>
 #include <gdk/gdk.h>
-#include <iostream>
 #include <sstream>
 
 #include "GtkNode.h"
@@ -183,7 +182,6 @@
                             const std::string& value) const {
 
   // g_debug("attempting to match a node's property");
-  // yes we're transforming to strings and comparing there
 
   if (name == "id") {
     return value == std::to_string(GetObjectId());
@@ -194,7 +192,7 @@
     if (pspec == NULL)
       return false;
 
-    // std::cout << " (" << g_type_name(G_PARAM_SPEC_VALUE_TYPE(pspec)) << ")" << std::endl;
+    g_debug("Matching a property of type (%s).", g_type_name(G_PARAM_SPEC_VALUE_TYPE(pspec)));
 
     if (pspec && G_PARAM_SPEC_VALUE_TYPE(pspec) == G_TYPE_INT) {
       GValue dest_value = G_VALUE_INIT;

=== renamed directory 'test' => 'tests'
=== added directory 'tests/autopilot'
=== added directory 'tests/autopilot/tests'
=== added file 'tests/autopilot/tests/__init__.py'
=== added file 'tests/autopilot/tests/test_matching_properties.py'
--- tests/autopilot/tests/test_matching_properties.py	1970-01-01 00:00:00 +0000
+++ tests/autopilot/tests/test_matching_properties.py	2013-05-22 23:29:06 +0000
@@ -0,0 +1,32 @@
+
+
+from autopilot.testcase import AutopilotTestCase
+from testtools.matchers import NotEquals
+
+
+
+class PropertyMatchingTest(AutopilotTestCase):
+
+    def setUp(self):
+        super(PropertyMatchingTest, self).setUp()
+        self.app = self.launch_test_application('gedit')
+
+    def test_integer_matches(self):
+        """Test property matching for integers.
+
+        Find an opaque GtkWindow in Gedit.
+        """
+
+        opaque_window = self.app.select_many('GtkWindow', opacity=1)
+        self.assertThat(opaque_window, NotEquals(None))
+        
+
+    def test_string_matches(self):
+        """Match a string property.
+
+        Find an GtkImageMenuItem named 'BookmarkOpen' in Gedit.
+        """
+
+        bookmark_open_item = self.app.select_single('GtkImageMenuItem',
+                                                    name='BookmarkOpen')
+        self.assertThat(bookmark_open_item, NotEquals(None))

